; Quintessential generator input
(
  (CONCEPT *A-ROTATE)
  (argument-class agent+theme)
  (fs ((cat v) (root rotate)))
  (mood imperative)
  (negation +)
  (pos ?verb)
  (punctuation exclamation-point)
  (theme (
    (CONCEPT *O-ENGINE)
    (emphasis uppercase)
    (fs ((abb +) (cat n) (count +) (root "eng.")))
    (number plural)
    (pos ?noun)
    (reference definite))))

; A tag for variety
((CONCEPT *S-CALLOUT-TAG)
 (fs ((root callout-tag) (tag-name callout)))
 (pos ?tag)
 (value FooBar))

; Try a coordination
(
  (CONCEPT *A-ROTATE)
  (argument-class agent+theme)
  (fs ((cat v) (root turn)))
  (mood imperative)
  (negation +)
  (pos ?verb)
  (punctuation exclamation-point)
  (theme (*MULT*
    (
      (CONCEPT *O-CAR)
      (COORDINATION (
        (conjunction (
          (CONCEPT *CONJ-OR)
          (fs ((cat conj) (root or)))
  	  (pos ?conj)))))
      (fs ((cat n) (count +) (root car)))
      (number plural)
      (pos ?noun)
      (reference definite))
    (
      (CONCEPT *O-TRUCK)
      (fs ((cat n) (count +) (root *O-TRUCK)))
      (number singular)
      (pos ?noun)))))


; A value in a tag
((CONCEPT *A-ROTATE)
	(fs ((cat v) (root rotate)))
	(mappings ((ir theme) (fs special-obj)))
	(mood imperative)
	(pos ?verb)
	(punctuation exclamation-point)
	(argument-class agent+theme)
	(theme ((CONCEPT *S-BOLD-TAG)
		(fs ((root bold-tag) (tag-name bold)))
		(pos ?tag)
		(value ((CONCEPT *O-ENGINE)
			(fs ((cat n) (count +) (root engine)))
			(number plural)
			(pos ?noun)
			(reference definite))))))

